## GZip/BZip2

### Description

Packs a file using the GZip or BZip2 algorithm. The output file is only generated if it doesn't exist or the source file is newer.

### Parameters

Attribute | Description | Required
src | the file to gzip/bzip. | Yes
destfile | the destination file to create. | Exactly one of the two.
zipfile | the deprecated old name of destfile.

### Examples

> `<gzip src="test.tar" destfile="test.tar.gz"/>`

> `<bzip2 src="test.tar" destfile="test.tar.bz2"/>`

Copyright © 2000-2004 The Apache Software Foundation. All rights Reserved.